Page MenuHomePhabricator

Date format specified in info tooltip is not same as it appears after selecting a date from the calendar widget
Closed, ResolvedPublic

Description

Steps to reproduce:

1.Select a file to upload
2.Set the release rights
3.In the Describe section, click on calendar to enter date
4.Select a date

Observe that, the date format that gets inserted is different than how it is suggested in the info tooltip

Details

Related Gerrit Patches:

Event Timeline

Ryasmeen created this task.Nov 20 2015, 5:53 AM
Ryasmeen raised the priority of this task from to Needs Triage.
Ryasmeen updated the task description. (Show Details)
Ryasmeen added projects: Multimedia, UploadWizard.
Ryasmeen added subscribers: Ryasmeen, matmarex.
matmarex triaged this task as High priority.Nov 23 2015, 3:17 PM

The date displays in this long human-readable format, but when you go to input it, it has to be done in YYYY-MM-DD format, as per the tooltip. That is also the suggested format if you switch to the custom date format. I think this is the expected behavior?

Maybe just switch the help label to say "choose a date from the calendar" when it's in calendar mode?

Change 255552 had a related patch set uploaded (by Bartosz Dziewoński):
Update wording of 'mwe-upwiz-tooltip-date' for new date selector

https://gerrit.wikimedia.org/r/255552

Jdforrester-WMF closed this task as Resolved.Nov 30 2015, 11:53 PM
Jdforrester-WMF removed a project: Patch-For-Review.
Jdforrester-WMF set Security to None.

Change 255552 merged by jenkins-bot:
Update wording of 'mwe-upwiz-tooltip-date' for new date selector

https://gerrit.wikimedia.org/r/255552